Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.event.rule
Interface AgendaEventListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DebugAgendaEventListener, DefaultAgendaEventListener, MilestoneNodeInstance

    public interface AgendaEventListener

extends EventListener

Method Summary
`void` | `afterMatchFired(AfterMatchFiredEvent event)`
`void` | `afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `agendaGroupPopped(AgendaGroupPoppedEvent event)`
`void` | `agendaGroupPushed(AgendaGroupPushedEvent event)`
`void` | `beforeMatchFired(BeforeMatchFiredEvent event)`
`void` | `beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `matchCancelled(MatchCancelledEvent event)`
`void` | `matchCreated(MatchCreatedEvent event)`

Method Detail

### matchCreated

    void matchCreated(MatchCreatedEvent event)

### matchCancelled

    void matchCancelled(MatchCancelledEvent event)

### beforeMatchFired

    void beforeMatchFired(BeforeMatchFiredEvent event)

### afterMatchFired

    void afterMatchFired(AfterMatchFiredEvent event)

### agendaGroupPopped

    void agendaGroupPopped(AgendaGroupPoppedEvent event)

### agendaGroupPushed

    void agendaGroupPushed(AgendaGroupPushedEvent event)

### beforeRuleFlowGroupActivated

    void beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

### afterRuleFlowGroupActivated

    void afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

### beforeRuleFlowGroupDeactivated

    void beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

### afterRuleFlowGroupDeactivated

    void afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.